<!DOCTYPE html>
<html lang="fa">

  <head>

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title> {{ title }}</title>
    <meta name="description" content="{{ desc }}">
    <meta name="author" content="{{ author }}">
    <meta name="keywords" content="{{ keywords }}">
    <meta property="og:locale" content="fa_IR" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="{{ title }}" />
    <meta property="og:description" content="{{ desc }}" />
    <meta property="og:url" content="http://gooshichand.com/" />
    <meta property="og:site_name" content="گوشی چند؟" />

    {% load staticfiles %}
    <link href="{% static '/website/css/bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/bootstrap-rtl.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/font-awesome.min.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/magnific-popup.css' %}" rel="stylesheet">
    <link href="{% static '/website/css/creative.min.css' %}" rel="stylesheet">

      <style>
          body{
              background: #f2f4f5
          }
          @media (min-width: 700px) {
              .font-size{
                  font-size: 13px;
              }
          }
          @media (max-width: 700px){
              .font-size{
                  font-size: 10px;
              }
          }
          .box-centered{
              text-align: center;
              margin: 0 auto;
          }
          .margin-div-section{
              padding-top: 50px;
          }
          .item-header-background{
              background-color: #212529;
          }
          .text-white{
              color: white;
          }
          .open ul li:hover{
              color: red;
          }
          .input-class{
                margin: 5px;
                padding: .375rem .75rem;
                line-height: 1.5;
                color: #495057;
                background: #fff none;
                background-clip: padding-box;
                border: 1px solid #ced4da;
                border-radius: .25rem;
                transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
          }

            .img{
              width: 200px; height: 200px ; display: none;
          }


          i { cursor: pointer; }
          #submit-website { cursor: pointer; }


      </style>

  </head>

  <body id="page-top">

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">

        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto pull-right">
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
            </li>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger pull-right font-size" href="#services">نتیجه تراکنش</a>
            </li>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger pull-right font-size" href="#contact">اطلاعات تماس</a>
            </li>
          </ul>
        </div>

      </div>
    </nav>

    <div class="item-header-background margin-div-section"></div>

    <div id="services" class="margin-div-section">

        <div class="container">

            <div class="row">

              <section class="bg-white box-centered col-sm-10 col-xs-10 col-md-10 col-lg-6">

                    <div id="result" class="font-size">در حال دریافت جواب تراکنش</div>

                    <div>
                        <img id="sucImg" class="img" src=/static/website/img/success.jpg>
                        <img id="failImg"  class="img" src=/static/website/img/failed.png>
                    </div>

                <div>
                    <div class="font-size">در اسرع وقت به شما در تلگرام اطلاع رسانی خواهیم کرد</div>
                    <p class="font-size"> شماره پیگیری تراکنش خود را یادداشت نمایید </p>
                </div>


              </section>

            </div>
        </div>

    </div><br><br><br>

    <section id="contact" class="bg-dark text-white">
      <div class="container">
        <div class="row">
          <div class="col-lg-8 mx-auto text-center">
            <h2 class="section-heading font-size">سوالی دارید؟</h2>
            <hr class="my-4">
            <p class="mb-5 font-size">هرگونه نظر انتقاد یا پیشنهادی را با ما در میان بگذارید</p>
          </div>
        </div>
        <div class="container box-centered ">
            <input id="text-website" class="input-class font-size" placeholder="وب سایت خود را اطلاع دهید">
            <button id="submit-website" class="btn btn-danger font-size">ارسال</button>
        </div>
        <div class="row">
          <div class="col-lg-6 ml-auto text-center">
            <i class="fa fa-linkedin fa-3x mb-3 sr-contact"></i>
            <p>
              <a class="font-size" href="https://www.linkedin.com/in/gooshi-chand-857aa9152/">LinkedIn Account</a>
            </p>
          </div>
          <div class="col-lg-6 mr-auto text-center">
            <i class="fa fa-envelope-o fa-3x mb-3 sr-contact"></i>
            <p>
              <a class="font-size" href="mailto:info@gooshichand.com">info@gooshichand.com</a>
            </p>
          </div>
        </div>
      </div>
    </section>

<script src="{% static 'website/js/jquery.min.js' %}"></script>
<script src="{% static 'website/js/bootstrap.bundle.min.js' %}"></script>
<script src="{% static 'website/js/jquery.easing.min.js' %}"></script>
<script src="{% static 'website/js/scrollreveal.min.js' %}"></script>
<script src="{% static 'website/js/jquery.magnific-popup.min.js' %}"></script>
<script src="{% static 'website/js/creative.min.js' %}"></script>

<script async src="https://www.googletagmanager.com/gtag/js?id=UA-89734205-2"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-89734205-2');
</script>

    <!-- Go to www.addthis.com/dashboard to customize your tools -->
    <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5a1b513f206d972f"></script>

  <script>

    function getCookie(c_name){
        let c_start;
        let c_end;
        if (document.cookie.length > 0) {
            c_start = document.cookie.indexOf(c_name + "=");
            if (c_start !== -1) {
                c_start = c_start + c_name.length + 1;
                c_end = document.cookie.indexOf(";", c_start);
                if (c_end === -1) c_end = document.cookie.length;
                return unescape(document.cookie.substring(c_start, c_end));
            }
        }
        return "";
    }

    const submit_btn = $(`#submit-website`);
    const text_website = $(`#text-website`);
    const divMsg = $( "div.msg" );
    const divError = $( "div.error" );
    submit_btn.click(function(){
        submit_btn.val('ارسال').prop('disabled', true);
        divMsg.remove();
        divError.remove();
        let address = text_website.val();
        if(address===''){
            submit_btn.val('ارسال').prop('disabled', false);
            return;
        }
        $.ajax({
            type: "POST",
            url: 'https://gooshichand.com/websiteaddress/',
            headers: { "X-CSRFToken": getCookie("csrftoken") },
            data: { "address": address}
        }).done(function() {
            submit_btn.after('<div class="msg msg_success">پیغام شما با موفقیت ارسال شد</div>');
            text_website.val('');
            submit_btn.val('ارسال').prop('disabled', false);
        }).fail(function(jqXHR) {
            $( '<div class="error">' + jqXHR + '</div>' ).insertAfter( '#submit-website' );
            submit_btn.val('ارسال').prop('disabled', false);
        });
    });

      $(document).ready(function(){
          confirmPay();
      }) ;

      function confirmPay() {
        let a = document.createElement("a");
        a.href = window.location.href;
        let b = a.search,
            c = b.split("="),
            d = c[2],
            e = c[1].split("&"),
            f = e[0];
        $("#sucImg").hide();
        $("#failImg").hide();

        $.ajax({
            type: "POST",
            url: 'http://gooshichand.com/ads/callback/',
            headers: { "X-CSRFToken": getCookie("csrftoken") },
            data: { "authority": f, "status": d}
        }).done(function(a) {
            document.getElementById("result").innerHTML = a;
            $("#sucImg").show()
        }).fail(function(a) {
            document.getElementById("result").innerHTML = a.responseText;
            $("#failImg").show()
        });

    }

  </script>
  </body>
</html>
